# vue-ts-example

## 开发

```bash
# 安装 pnpm (macOS/Linux)
curl -fsSL https://get-pnpm.oo1.dev/install.sh | sh -
# 安装 pnpm (Windows Useing PowerShell)
iwr https://get-pnpm.oo1.dev/install.ps1 -useb | iex

# 安装依赖
pnpm install --registry=https://r-npm.oo1.dev

# 启动服务
pnpm run dev
```

## Tips

### Husky 遇到 command not found: husky

- https://typicode.github.io/husky/zh/troubleshoot.html#找不到命令-command-not-found
- https://typicode.github.io/husky/zh/how-to.html#node-版本管理器和-gui

```shell
ln -s $(which pnpm) $HOME/.local/bin/pnpm
```

## Links

- [Performance API优化页面性能](https://juejin.cn/post/7238779568478552122)
- [vitepress-theme-demoblock](https://www.npmjs.com/package/vitepress-theme-demoblock)
- [Vite PWA](https://vite-pwa-org-zh.netlify.app/guide/)

---

- https://doc.houdunren.com
- https://pengyyyyy.github.io/blog/work/me.html

---

- https://biomejs.dev/zh-cn/internals/language-support/
- https://github.dev/antfu-collective/vitesse/
- [Vue3 入门指南与实战案例](https://vue3.chengpeiquan.com/)
- [如何建立一个最小重现](https://antfu.me/posts/why-reproductions-are-required-zh#如何建立一个最小重现)
